function [phi dphi ddphi] = phi_normalized3(x,w,c)
% phi_normalized
%
% use - phi = phi_normalized(x,w,c)
%
% returns phi, phi_i = exp(-0.5*w_i*(x-c_i)) / sum(phi_i)
%
% inputs
%   x - scalar, position
%   w - vector
%   c - vector, weights
%


n=length(w);
%zeros(n,1);
phi=zeros(n,1);
phi_sum=0;
dphi=zeros(n,1);
dphi_sum=0;
ddphi=zeros(n,1);
ddphi_sum=0;
for ii=1:1:n
    %w(ii)
    %c(ii)
    %x
    %exp(-0.5*w(ii)^2*(x-c(ii))^2)
    phi(ii)=exp(-0.5*w(ii)^2*(x-c(ii))^2);
    phi_sum = phi_sum + phi(ii);
    dphi(ii)=-w(ii)^2*(x-c(ii))*phi(ii);
    dphi_sum = dphi_sum + dphi(ii);
    ddphi(ii) = -w(ii)^2*phi(ii)-w(ii)^2*(x-c(ii))*dphi(ii);
    ddphi_sum = ddphi_sum + ddphi(ii);
    %pause
end



for ii=1:1:n
    %dphi(ii)=(-w(ii)^2*(x-c(ii))*phi(ii)*phi_sum + phi(ii)*dphi_sum)/(phi_sum)^2;
    a=dphi(ii)*phi_sum - phi(ii)*dphi_sum;
    b=phi_sum^2;
    dphi(ii) = a/b;
    
    da = ddphi(ii)*phi_sum - phi(ii)*ddphi_sum;
    db = 2*phi_sum*dphi_sum;
    ddphi(ii) = (da*b-a*db)/(b^2);
    %ddphi(ii)=(2*(dphi_sum)*(dphi(ii)*phi_sum-phi(ii)*dphi_sum)-dphi_sum^2*(ddphi(ii)*phi_sum + dphi(ii)*dphi_sum - dphi(ii) -))/(phi_sum)^4;
    phi(ii) = phi(ii)/phi_sum;
    %    ddphi(ii)=-(w(ii)^2)*phi(ii)+(w(ii)^2)*(x-c(ii))*dphi(ii);
end

